CollectionInfo
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.tools.searchtester.plugin
Class CollectionInfo

    java.lang.Object
      org.gcube.tools.searchtester.plugin.CollectionInfo

All Implemented Interfaces:
  java.io.Serializable

    public class CollectionInfo

extends java.lang.Object
implements java.io.Serializable

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary
`class` | `CollectionInfo.Schema`

Constructor Summary
`CollectionInfo()`

Method Summary
`void` | `addBrowsableField(java.lang.String field)`
`void` | `addMetadataRecord(CollectionInfo.Schema schema, java.lang.String metadata)`
`void` | `addSchema(java.lang.String name, java.lang.String language)`
`void` | `addSearchableFields(CollectionInfo.Schema schema, java.util.ArrayList<java.lang.String> fields)`
`void` | `addSortableFields(CollectionInfo.Schema schema, java.util.ArrayList<java.lang.String> fields)`
`java.util.ArrayList<java.lang.String>` | `getAvailableBrowsableFields()`
`java.util.ArrayList<CollectionInfo.Schema>` | `getAvailableSchemata()`
`java.lang.String` | `getId()`
`java.lang.String` | `getMetadataRecord(CollectionInfo.Schema schema)`
`java.lang.String` | `getName()`
`java.util.ArrayList<java.lang.String>` | `getSearchableFields(CollectionInfo.Schema schema)`
`java.util.ArrayList<java.lang.String>` | `getSortableFields(CollectionInfo.Schema schema)`
`void` | `setAvailableBrowsableFields(java.util.ArrayList<java.lang.String> availableBrowsableFields)`
`void` | `setAvailableSchemata(java.util.ArrayList<CollectionInfo.Schema> availableSchemata)`
`void` | `setId(java.lang.String id)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionInfo

    public CollectionInfo()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### addMetadataRecord

    public void addMetadataRecord(CollectionInfo.Schema schema,
                                  java.lang.String metadata)

### getMetadataRecord

    public java.lang.String getMetadataRecord(CollectionInfo.Schema schema)

### addSchema

    public void addSchema(java.lang.String name,
                          java.lang.String language)

### addBrowsableField

    public void addBrowsableField(java.lang.String field)

### addSearchableFields

    public void addSearchableFields(CollectionInfo.Schema schema,
                                    java.util.ArrayList<java.lang.String> fields)

### addSortableFields

    public void addSortableFields(CollectionInfo.Schema schema,
                                  java.util.ArrayList<java.lang.String> fields)

### getSortableFields

    public java.util.ArrayList<java.lang.String> getSortableFields(CollectionInfo.Schema schema)

### getSearchableFields

    public java.util.ArrayList<java.lang.String> getSearchableFields(CollectionInfo.Schema schema)

### getAvailableSchemata

    public java.util.ArrayList<CollectionInfo.Schema> getAvailableSchemata()

### setAvailableSchemata

    public void setAvailableSchemata(java.util.ArrayList<CollectionInfo.Schema> availableSchemata)

### getAvailableBrowsableFields

    public java.util.ArrayList<java.lang.String> getAvailableBrowsableFields()

### setAvailableBrowsableFields

    public void setAvailableBrowsableFields(java.util.ArrayList<java.lang.String> availableBrowsableFields)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD